Get github repositories of the connected user
curl --request GET \
--url https://api.qovery.com/organization/{organizationId}/account/github/repository \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.qovery.com/organization/{organizationId}/account/github/repository"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.qovery.com/organization/{organizationId}/account/github/repository', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"id": "<string>",
"name": "simple-node-app",
"url": "https://github.com/Qovery/simple-node-app",
"default_branch": "master",
"is_private": true
}
]
}Organization Account Git Repositories
Get github repositories of the connected user
GET
/
organization
/
{organizationId}
/
account
/
github
/
repository
Get github repositories of the connected user
Authorizations
bearerAuthApiKeyAuth
JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '
Path Parameters
Organization ID
Query Parameters
The git token id that must be used for the application
Response
Get github repositories
Show child attributes
Show child attributes
Was this page helpful?
⌘I